define(function(require,exports,module) {
	var $ = require('jquery.js');
		require('dialog');
		$(document).ajaxError(function(e, xhr) {
			if(xhr.status == 403){
				$.msg.alert('JQuery.ajax.error.403');
			}else if(xhr.status == 404){
				$.msg.alert('JQuery.ajax.error.404');
			}
			else if((""+xhr.status).substring(0,1)=="5"||(""+xhr.status).substring(0,1)=="3"){
				$.msg.alert('JQuery.ajax.error.5xx',[xhr.status]);
			}else if(xhr.status ==302){
			}
				
		});
	module.exports=$;
});